安装event扩展失败

LITTLEMAIDI

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/20160303/event.so' - /usr/lib/php/20160303/event.so: undefined symbol: zend_string_init_interned in Unknown on line 0

阅读 1373
1个回答

taozywu

检查下你当前php是否有多版本。
再检查下event扩展使用phpize路径以及php-config路径是否正确

  • LITTLEMAIDI 2019-12-27

    你好,php是有多个版本的,之前装的7.3,我装过一次event扩展是成功的,后来php重装了7.1,我再去重新装event扩展就失败了,然后就是所有和php有关的操作都会出现上面那个错误了。我想问下重装了php是否需要重新安装event扩展,目前这个情况有什么解决办法?谢谢!

  • taozywu 2019-12-27

    重装下